import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
var BreadcrumbsComponent = (function () {
    function BreadcrumbsComponent() {
        this.items = [];
    }
    BreadcrumbsComponent.prototype.ngOnInit = function () {
    };
    BreadcrumbsComponent.prototype.itemClick = function (item) {
        if (item.handle) {
            item.handle(item);
        }
    };
    return BreadcrumbsComponent;
}());
export { BreadcrumbsComponent };
BreadcrumbsComponent.decorators = [
    { type: Component, args: [{
                selector: 're-breadcrumbs',
                template: "\n    <ol class=\"breadcrumb {{cssClass}}\">\n      <li *ngFor=\"let item of items;let $last=last\" [ngClass]=\"{'active': $last}\">\n        <a *ngIf=\"!$last && item.handle\" (click)=\"itemClick(item)\">\n          <i *ngIf=\"item.icon\" class=\"breadcrumb-icon {{item.icon}}\"></i>{{item.text}}\n        </a>\n        <a *ngIf=\"!$last && !item.handle\" [href]=\"item.url\" [target]=\"item.target || '_self'\">\n          <i *ngIf=\"item.icon\" class=\"breadcrumb-icon {{item.icon}}\"></i>{{item.text}}\n        </a>\n        <ng-container *ngIf=\"$last\">\n          <i *ngIf=\"item.icon\" class=\"breadcrumb-icon {{item.icon}}\"></i>{{item.text}}\n        </ng-container>\n      </li>\n    </ol>\n  ",
                styles: ["\n    .breadcrumb a{cursor:pointer}.breadcrumb .breadcrumb-icon{margin-right:2px}\n  "],
                changeDetection: ChangeDetectionStrategy.OnPush
            },] },
];
/** @nocollapse */
BreadcrumbsComponent.ctorParameters = function () { return []; };
BreadcrumbsComponent.propDecorators = {
    'items': [{ type: Input },],
    'cssClass': [{ type: Input },],
};
//# sourceMappingURL=breadcrumbs.component.js.map