import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { stopPropagationIfExist } from '../utils/dom-utils';
var MenuBarComponent = (function () {
    function MenuBarComponent() {
        this.menuOptions = {};
        this.inverse = false;
    }
    MenuBarComponent.prototype.toggle = function ($event) {
        stopPropagationIfExist($event);
        this.onShowNavBarChange(!this.showNavBar);
    };
    MenuBarComponent.prototype.hide = function ($event) {
        stopPropagationIfExist($event);
        this.onShowNavBarChange(false);
    };
    MenuBarComponent.prototype.onShowNavBarChange = function (showNavBar) {
        if (this.showNavBar !== showNavBar) {
            this.showNavBar = showNavBar;
        }
    };
    return MenuBarComponent;
}());
export { MenuBarComponent };
MenuBarComponent.decorators = [
    { type: Component, args: [{
                selector: 're-menu-bar',
                template: "\n    <nav class=\"menu-bar navbar navbar-{{ inverse ? 'inverse' : 'default'}} {{type}} {{cssClass}}\" (click)=\"hide($event)\">\n      <div class=\"{{type == 'sidebar' ? 'container-fluid' : 'container'}}\">\n        <div class=\"navbar-header collapsed\">\n          <button type=\"button\" class=\"navbar-toggle collapsed\" aria-expanded=\"true\" aria-controls=\"navbar\"\n                  (click)=\"toggle($event);\">\n            <span class=\"sr-only\">{{menuOptions.title}}</span>\n            <span class=\"icon-bar\"></span>\n            <span class=\"icon-bar\"></span>\n            <span class=\"icon-bar\"></span>\n          </button>\n          <a class=\"navbar-brand text-center\" [href]=\"menuOptions.home\">\n            <img class=\"logo\" *ngIf=\"menuOptions.logo\" [src]=\"menuOptions.logo\" [attr.alt]=\"menuOptions.title\"/>\n            <span *ngIf=\"!menuOptions.logo\">{{menuOptions.title}}</span>\n          </a>\n        </div>\n        <div #navbarCollapse class=\"navbar-collapse\" [ngClass]=\"{collapse: !showNavBar, in: showNavBar}\"\n             aria-expanded=\"true\">\n          <re-nav-item class=\"nav-item\" [direction]=\"direction\" [menus]=\"menuOptions.menus\"></re-nav-item>\n          <re-nav-item class=\"nav-item\" [direction]=\"direction\" [menus]=\"menuOptions.rightMenus\"\n                       [right]=\"true\"></re-nav-item>\n        </div>\n      </div>\n    </nav>\n  ",
                styles: ["\n    .menu-bar .logo{width:60px;margin-top:-15px}.menu-bar .navbar-collapse .nav-item{display:block}.menu-bar .navbar-collapse .nav-item:last-child{margin-right:3rem}nav.sidebar{-webkit-transition:margin 200ms ease-out;-moz-transition:margin 200ms ease-out;-o-transition:margin 200ms ease-out;transition:margin 200ms ease-out}@media (min-width: 765px){nav.sidebar{position:fixed;z-index:100;width:200px;height:100%;margin-left:-160px;float:left;margin-bottom:0px}nav.sidebar:hover{margin-left:0px}nav.sidebar .navbar-brand,nav.sidebar .navbar-header{text-align:center;width:100%;margin-left:0px}nav.sidebar.navbar.sidebar>.container .navbar-brand,.navbar>.container-fluid .navbar-brand{margin-left:0px}:host /deep/ nav.sidebar a{padding-right:13px}:host /deep/ nav.sidebar li{width:100%}:host /deep/ nav.sidebar .menu-icon{float:right !important}:host /deep/ nav.sidebar .navbar-nav>li:first-child{border-top:1px #e5e5e5 solid}:host /deep/ nav.sidebar .navbar-nav>li{border-bottom:1px #e5e5e5 solid}:host /deep/ nav.sidebar .navbar-nav .open .dropdown-menu{position:static;float:none;width:auto;margin-top:0;background-color:transparent;border:0;-webkit-box-shadow:none;box-shadow:none}:host /deep/ nav.sidebar .navbar-collapse,:host /deep/ nav.sidebar .container-fluid{padding:0px}:host /deep/ .forAnimate{opacity:0}}@media (min-width: 1330px){nav.sidebar{z-index:100;margin-left:0px;float:left}:host /deep/ nav.sidebar .forAnimate{opacity:1}}:host /deep/ nav.sidebar .navbar-nav .open .dropdown-menu>li>a:hover,:host /deep/ nav.sidebar .navbar-nav .open .dropdown-menu>li>a:focus{background-color:transparent}:host /deep/ nav:hover .forAnimate{opacity:1}\n  "],
                changeDetection: ChangeDetectionStrategy.OnPush,
                exportAs: 'menuBar'
            },] },
];
/** @nocollapse */
MenuBarComponent.ctorParameters = function () { return []; };
MenuBarComponent.propDecorators = {
    'cssClass': [{ type: Input },],
    'type': [{ type: Input },],
    'menuOptions': [{ type: Input },],
    'direction': [{ type: Input },],
    'inverse': [{ type: Input },],
};
//# sourceMappingURL=menu-bar.component.js.map